import { menucheck } from '@/api/data'

export default {
  /**
   * 同步风格的权限校验方法
   * @param {string} url
   * @returns {boolean} 直接返回布尔值
   */
  checkSync: async function(url) {
    try {
      const result = await new Promise((resolve) => {
        menucheck({ uri: url }).then(res => {
          resolve(res.code === 0)
        })
      })
      return result
    } catch {
      return false
    }
  }
}
